Closes file descriptor associated with the current buffer event

- « EventBufferEvent

- EventBufferEvent::connect »

- PHP Manual
- EventBufferEvent
- Closes file descriptor associated with the current buffer event

# EventBufferEvent::close

(PECL event >= 1.10.0)

EventBufferEvent::close — Closes file descriptor associated with the current buffer event

### Description

public EventBufferEvent::close(): void

Closes file descriptor associated with the current buffer event.

This method may be used in cases when the `EventBufferEvent::OPT_CLOSE_ON_FREE` option is not appropriate.

### Parameters

This function has no parameters.

### Return Values

No value is returned.